<div  class="card jh-card" [formGroup]="editForm">
    <h4 id="page-heading">
        <span>Daftar Tagihan</span>
        <!-- <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-tagihan" [routerLink]="['/tagihan/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span >
            Create a new Tagihan
            </span>
        </button> -->
    </h4>
    <br/>
    <div class="form-group" *jhiHasAnyAuthority="['ROLE_TU']">
	  <div class="row form-group no-gutters justify-content-start">
		    <div class="col-sm-6 col-md-3">
		  	  <div class="input-group mb-3" *ngIf="searchOption == 1">
	            <div class="input-group-prepend">
	              <select class="input-group-text" id="field_options" name="options" (ngModelChange)="optionSearch()" formControlName="pOptions" >
	                <option value="1">Nis</option>
	                <!-- <option value="2">Nama</option> -->
	              </select>
	            </div>
				<input type="text" placeholder=" Cari nis siswa..." name="pNis" formControlName="pNis"/>
			    <div class="input-group-append">
	               <button class="btn btn-info btn-sm" (click)="searchByParam('nis')"><fa-icon [icon]="'search'"></fa-icon></button>
	               <button class="btn btn-danger btn-sm" (click)="clear()"><fa-icon [icon]="'trash'"></fa-icon></button>
	            </div>
		  	  </div>
		  	  <div class="input-group mb-3" *ngIf="searchOption == 2">
	            <div class="input-group-prepend">
	              <select class="input-group-text" id="field_options" name="options" (ngModelChange)="optionSearch()" formControlName="pOptions">
	                <option value="1">Nis</option>
	                <option value="2">Nama</option>
	              </select>
	            </div>
				<input type="text" placeholder=" Cari nama siswa"  name="pSiswa" formControlName="pSiswa"/>
			    <div class="input-group-append">
	               <button class="btn btn-info btn-sm" (click)="searchByParam('siswa')"><fa-icon [icon]="'search'"></fa-icon></button>
	               <button class="btn btn-danger btn-sm" (click)="clear()"><fa-icon [icon]="'trash'"></fa-icon></button>
	            </div>
		  	  </div>
		  	</div>
    	</div>
    </div>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <div class="alert alert-warning" *ngIf="tagihans?.length === 0">
        <span>No tagihans found</span>
    </div>
    <div class="table-responsive" *ngIf="tagihans?.length > 0">
        <table class="table table-hover" aria-describedby="page-heading">
            <thead class="thead-light">
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
            <!-- <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon [icon]="'sort'"></fa-icon></th> -->
            <th scope="col" class="d-none d-sm-table-cell"><span>Nis</span></th>
            <th scope="col" class="d-none d-sm-table-cell"><span>Nama</span></th>
            <th scope="col" class="d-none d-sm-table-cell"><span>Th Ajaran</span></th>
            <th scope="col" class="d-none d-sm-table-cell"><span>Kelas</span></th>
            <th scope="col"><span>Jenis Pembayaran</span></th>
            <th scope="col"><span>Nominal</span></th>
            <th scope="col" class="d-none d-sm-table-cell"><span>Harus Bayar</span></th>
            <!-- <th scope="col"><span>Jatuh Tempo</span></th> -->
            <th scope="col" class="d-none d-sm-table-cell"><span>Tanggal Bayar</span></th>
            <th scope="col"><span>Status</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let tagihan of tagihans ;trackBy: trackId">
                <!-- <td><a [routerLink]="['/tagihan', tagihan.id, 'view' ]">{{tagihan.id}}</a></td> -->
                <td class="d-none d-sm-table-cell">{{tagihan.nis}}</td>
                <td class="d-none d-sm-table-cell">{{tagihan.namaSiswa}}</td>
                <td class="d-none d-sm-table-cell">{{tagihan.tglTagihan}}</td>
                <td class="d-none d-sm-table-cell">{{tagihan.kelas}}</td>
                <td>{{tagihan.nomorTagihan}}</td>
                <td>{{tagihan.nominalPembayaran}}</td>
                <td class="d-none d-sm-table-cell">{{tagihan.harusBayar}}</td>
                <!-- <td>{{tagihan.tglJatuhTempo | date:'dd-MM-yyyy'}}</td> -->
                <td class="d-none d-sm-table-cell">{{tagihan.tglBayar | date:'dd-MM-yyyy'}}</td>
                <td>
                   <span><span *ngIf="tagihan.statusTagihan === 'BELUMBAYAR'" style="color: #ec644b; font-style: italic;">BELUM BAYAR</span></span>
                   <span><span *ngIf="tagihan.statusTagihan === 'LUNAS'" style="color: #00e640; font-style: italic;">LUNAS</span></span>
                   <span><span *ngIf="tagihan.statusTagihan === 'MENUNGGU'" style="color: #ff9900; font-style: italic;">MENUNGGU PEMBAYARAN</span></span>
                   <span><span *ngIf="tagihan.statusTagihan === 'ANGSUR'" style="color: #ff9900; font-style: italic;">ANGSURAN</span></span>
                </td>
                <td class="text-right">
                  <div  *ngIf="tagihan.statusTagihan != 'BEASISWA'">
                    <div class="btn-group" *jhiHasAnyAuthority="['ROLE_WALI']" >
		                <button class="btn btn-primary btn-sm" (click)="detailTransaksi(tagihan)" *ngIf="tagihan.statusTagihan !== 'LUNAS'">
				            <fa-icon [icon]="['fas', 'file-invoice-dollar']"></fa-icon>
				            <span class="d-none d-md-inline">Bayar</span>
				        </button>
                    </div>
                    <div class="btn-group" *jhiHasAnyAuthority="['ROLE_TU']" >
		                <button type="button" class="btn btn-primary btn-sm" (click)="detailTransaksi(tagihan)" *ngIf="tagihan.statusTagihan !== 'LUNAS'">
                            <fa-icon [icon]="['fas', 'file-invoice-dollar']"></fa-icon>
				            <span class="d-none d-md-inline">Bayar</span>
				        </button>
                        <button type="button" (click)="delete(tagihan)"  *ngIf="tagihan.statusTagihan !== 'LUNAS'"
                                class="btn btn-danger btn-sm">
                                <fa-icon [icon]="'trash'"></fa-icon>
                            <span class="d-none d-md-inline">Hapus</span>
                        </button>
                    </div>
                    </div>
                    <div  *ngIf="tagihan.statusTagihan === 'MENUNGGU'">
                    
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div>
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
